<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.icon.IconEntry&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.i.IconEntry(<span title="object">object</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.icon.html">icon</a></span>
      
      <a href="classIndex.html#kiwi.ui.icon.IconEntry">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>Helper object for rendering an icon in a GtkEntry
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id183">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#_on_entry__notify_xalign">_on_entry__notify_xalign</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#_on_entry__enter_notify_event">_on_entry__enter_notify_event</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#_on_entry__leave_notify_event">_on_entry__leave_notify_event</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#set_tooltip">set_tooltip</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#get_icon_window">get_icon_window</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#set_pixbuf">set_pixbuf</a></td>
    <td><span>Sets a pixbuf or None to reset.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#construct">construct</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#deconstruct">deconstruct</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#update_background">update_background</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#get_background">get_background</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#resize_windows">resize_windows</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#draw_pixbuf">draw_pixbuf</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#_update_position">_update_position</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.icon.IconEntry.html#_recompute">_recompute</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.icon.IconEntry.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, entry):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry._on_entry__notify_xalign"></a>
        <a name="_on_entry__notify_xalign"></a>
        <div class="functionHeader">
        
        def _on_entry__notify_xalign(self, entry, pspec):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry._on_entry__enter_notify_event"></a>
        <a name="_on_entry__enter_notify_event"></a>
        <div class="functionHeader">
        
        def _on_entry__enter_notify_event(self, entry, event):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry._on_entry__leave_notify_event"></a>
        <a name="_on_entry__leave_notify_event"></a>
        <div class="functionHeader">
        
        def _on_entry__leave_notify_event(self, entry, event):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.set_tooltip"></a>
        <a name="set_tooltip"></a>
        <div class="functionHeader">
        
        def set_tooltip(self, text):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.get_icon_window"></a>
        <a name="get_icon_window"></a>
        <div class="functionHeader">
        
        def get_icon_window(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.set_pixbuf"></a>
        <a name="set_pixbuf"></a>
        <div class="functionHeader">
        
        def set_pixbuf(self, pixbuf):
        
      </div>
        <div class="functionBody">
          
          <div>Sets a pixbuf or None to reset.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">pixbuf</td><td>a gdk.Pixbuf or None
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.construct"></a>
        <a name="construct"></a>
        <div class="functionHeader">
        
        def construct(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.deconstruct"></a>
        <a name="deconstruct"></a>
        <div class="functionHeader">
        
        def deconstruct(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.update_background"></a>
        <a name="update_background"></a>
        <div class="functionHeader">
        
        def update_background(self, color):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.get_background"></a>
        <a name="get_background"></a>
        <div class="functionHeader">
        
        def get_background(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.resize_windows"></a>
        <a name="resize_windows"></a>
        <div class="functionHeader">
        
        def resize_windows(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry.draw_pixbuf"></a>
        <a name="draw_pixbuf"></a>
        <div class="functionHeader">
        
        def draw_pixbuf(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry._update_position"></a>
        <a name="_update_position"></a>
        <div class="functionHeader">
        
        def _update_position(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.icon.IconEntry._recompute"></a>
        <a name="_recompute"></a>
        <div class="functionHeader">
        
        def _recompute(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>